Fetch Expected Date of Delivery (IN)

By entering the pick up and drop pin codes, the enterprises can fetch the expected date of delivery and expose the same on their website inorder to improve the customer experience.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Important Links

Run in Postman API Guide

Payload Examples

[
    {
        "pickup_pincode": "600040",
        "drop_pincode": "421504"
    }
]
[
    {
        "pickup_pincode": "600040",
        "drop_pincode": "421504",
        "optional" : {
            "cp_id" :5,
            "awb": "ABCD12345",
            "account_code": "Bluedart"
        }
    }
]

Request Payload

optional [optional parameters] [optional]

Field NameData TypeFieldDescription
cp_idnumOptionalCarrier Partner ID. This can be found on the dashboard or you can refer it to here. If you pass a cp_id, then the API will return the serviceability of that particular carrier partner
awbstringOptionalAirway bill number of a shipment for which the Expected date of delivery needs to be calculated
Field NameData TypeFieldDescription
drop_pincodenumMandatoryThe drop pincode for which the EDD needs to be ascertained
pickup_pincodenumMandatoryThe pickup pincode for which the EDD needs to be ascertained

Response

meta [meta parameters]

Field NameData TypeDescription
successBooleanIndicates the success of the API request
messageStringThe message from Clickpost. In case of success, it will be "SUCCESS". In case there are no carrier partners that are servicing the pincodes it will be ”Pincode not serviceable"
statusHTTP CodeThe HTTP response status code of the API request

result [result parameters]

Field NameData TypeDescription
predicted_sla_minnumThe minimum time in days in which the shipment will be delivered to the drop Pincode
predicted_sla_maxnumThe maximum time in days in which the shipment will be delivered to the drop Pincode
all_mapobjectReturns an array for each carrier partner with the minimum and maximum SLA
min_sla_cp_idnumReturns the carrier partner id (cp_id) which has the lowest SLA in days
pickup_datestringThe date on which shipment will be picked up by the carrier partner
📘

NOTE

Here Estimated date of delivery would be "Pickup date" + "SLA" (receievd from EDD API)

Query Params
string
required

Username, unique to the enterprise profile

string
required

Unique key to verify/authenticate the enterprise profile

string
Defaults to false

It is either true or false. If it is true then we validate the drop pincode

Body Params
json
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json